Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class ResponseBytes

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ocsp.ResponseBytes

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class ResponseBytes
extends ASN1Object

OCSP RFC 2560, RFC 6960 ResponseBytes ::= SEQUENCE { responseType OBJECT IDENTIFIER, response OCTET STRING }

Constructor Summary
`ResponseBytes(ASN1ObjectIdentifier responseType, ASN1OctetString response)`

Method Summary
`static ResponseBytes` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static ResponseBytes` | `getInstance(java.lang.Object obj)`
`ASN1OctetString` | `getResponse()`
`ASN1ObjectIdentifier` | `getResponseType()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseBytes

    public ResponseBytes(ASN1ObjectIdentifier responseType,
                         ASN1OctetString response)

Method Detail

### getInstance

    public static ResponseBytes getInstance(ASN1TaggedObject obj,
                                            boolean explicit)

### getInstance

    public static ResponseBytes getInstance(java.lang.Object obj)

### getResponseType

    public ASN1ObjectIdentifier getResponseType()

### getResponse

    public ASN1OctetString getResponse()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream. ResponseBytes ::= SEQUENCE { responseType OBJECT IDENTIFIER, response OCTET STRING }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD